Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.bea.control
Annotation Type TaskAnnotations.TaskEventAnno

    @Target(value=METHOD)
    @Retention(value=RUNTIME)
    public static @interface TaskAnnotations.TaskEventAnno

Allows a callback method to describe subscriptions to events of a given type, and to define the method signature of that callback to the Worklist event framework. Event header information can be passed to individual parameters in the callback method based on the configuration provided in this annotation. In addition, a full TaskEvent instance can also be passed.

Required Element Summary
`TaskEvent.Type` | `eventType` The type of event to listen for on this callback method.

Optional Element Summary
`String` | `actionTypeParamName` The name of the parameter on the callback method that should receive the action type value for any delivered events.
`String` | `eventParamName` The name of the parameter on the callback method that should receive the TaskEvent object for any delivered events.
`String` | `responseParamName` Deprecated. Use task properties instead.
`String` | `stepInnerInterfaceParamName` Internal use only.
`String` | `stepName` The name of the step that, when it becomes the current step for the task, should cause this callback to be called.
`String` | `timeParamName` The name of the parameter on the callback method that should receive the event time value for any delivered events.
`String` | `userParamName` The name of the parameter on the callback method that should receive the user name value for any delivered events.

Element Detail

### eventType

    public abstract TaskEvent.Type eventType

  The type of event to listen for on this callback method.

### actionTypeParamName

    public abstract String actionTypeParamName

  The name of the parameter on the callback method that should receive the action type value for any delivered events. The value of this attribute must match the name of a parameter in the method signature of the callback method its attached to. If not specified, no action type will be passed to the callback method.

  Default:
    ""

### userParamName

    public abstract String userParamName

  The name of the parameter on the callback method that should receive the user name value for any delivered events. The value of this attribute must match the name of a parameter in the method signature of the callback method its attached to. If not specified, no user name will be passed to the callback method.

  Default:
    ""

### timeParamName

    public abstract String timeParamName

  The name of the parameter on the callback method that should receive the event time value for any delivered events. The value of this attribute must match the name of a parameter in the method signature of the callback method its attached to. If not specified, no event time will be passed to the callback method.

  Default:
    ""

### eventParamName

    public abstract String eventParamName

  The name of the parameter on the callback method that should receive the TaskEvent object for any delivered events. The value of this attribute must match the name of a parameter in the method signature of the callback method its attached to. This parameter must be assignment compatible with the specific sub-interface of TaskEvent that is to be delivered, or TaskEvent itself. If not specified, no TaskEvent will be passed to the callback method.

  Default:
    ""

### stepName

    public abstract String stepName

  The name of the step that, when it becomes the current step for the task, should cause this callback to be called. This field is only for use when eventType = TaskEvent.Type.STEP_CHANGE.

  Default:
    ""

### stepInnerInterfaceParamName

    public abstract String stepInnerInterfaceParamName

  Internal use only. The name of the parameter on the callback method that should receive the step inner interface instance when a STEP_CHANGE event occurs and the new step has the name indicated by the stepName field of this annotation.

  Default:
    ""

### responseParamName

    @Deprecated
    public abstract String responseParamName

  Deprecated. Use task properties instead.

  Backward compatibility for 81x use only. The name of the parameter to receive the TaskMessage value from the Response property of an 81x compatibility task. The value of this attribute must match the name of a parameter in the method signature of the callback method its attached to. The value passed to the named parameter depends on the type of the parameter. See the TaskGetRequestResponse81x annotation for information on the supported mappings (where the event method parameter is essentially like the return type of the method attached to the TaskGetRequestResponse81x annotation.

  Default:
    ""

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT